%tepra(SR3900R)$BMQ%/%i%9%U%!%$%k!%(B
%$BKX$I2?$N%5%]!<%H$b$7$^$;$s!%(B
%\$BGXI=;f$r:n$k$@$1!%(B
\NeedsTeXFormat{pLaTeX2e}[2000/12/31]
\ProvidesClass{tepra}[2005/1/31 ABE Noriyuki]

%$B;~4V@_Dj(B
\hour\time \divide\hour by60\relax
\@tempcnta\hour \multiply\@tempcnta 60\relax
\minute\time \advance\minute-\@tempcnta

%$B%*%W%7%g%s(B
\def\@size{0}
\DeclareOption{6mm}{
	\paperheight6mm
	\def\@size{6}
}
\DeclareOption{12mm}{
	\paperheight12mm
	\def\@size{12}
}
\DeclareOption{a4}{
	\paperwidth297mm
}
\DeclareOption{b5}{
	\paperwidth257mm%
}
\newif\ifpapersize
\papersizefalse
\DeclareOption{papersize}{\papersizetrue}
\ExecuteOptions{a4,6mm}
\ProcessOptions\relax

%$B%U%)%s%H(B
\DeclareFontShape{JY1}{mc}{m}{n}{<-> jis}{}
\DeclareFontShape{JY1}{gt}{m}{n}{<-> jisg}{}
\DeclareFontShape{JY1}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{gt}{m}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{mc}{bx}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{m}{sl}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{gt}{m}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{mc}{bx}{sl}{<->ssub*gt/m/n}{}

%normalsize$B@_Dj!'?t<04XO"$OL5;k$JJ}8~$G!%(B
\def\normalsize{
	\@setfontsize\normalsize\@xpt{15}
	\let\@listi\@listI
}
\normalsize

%$BB>%U%)%s%H@_Dj(B
\setbox0\hbox{\char\euc"A1A1}%
\setlength\Cht{\ht0}
\setlength\Cdp{\dp0}
\setlength\Cwd{\wd0}
\setlength\Cvs{\baselineskip}
\setlength\Chs{\wd0}
\newcommand{\small}{%
	\@setfontsize\small\@ixpt{13}%
	\def\@listi{\leftmargin\leftmargini
		\topsep \z@
		\parsep \z@
		\itemsep \parsep}}
\newcommand{\footnotesize}{%
	\@setfontsize\footnotesize\@viiipt{11}%
	\def\@listi{\leftmargin\leftmargini
		\topsep \z@
		\parsep \z@
		\itemsep \parsep}}
\newcommand{\scriptsize}{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}
\newcommand{\large}{\@setfontsize\large\@xiipt{17}}
\newcommand{\Large}{\@setfontsize\Large\@xivpt{21}}
\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{25}}
\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}
\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}
\newcommand{\HUGE}{\@setfontsize\HUGE{30}{40}}

%$BMQ;f%5%$%:@_Dj(B
\advance \paperwidth by -20mm
\hoffset-1in
\voffset-1in
\topmargin0mm
\headheight0mm
\headsep0mm
\footskip0mm
%\footheight0mm
\oddsidemargin0mm
\evensidemargin\oddsidemargin
\marginparwidth0mm
\marginparsep0mm
\textwidth\paperwidth
\textheight\paperheight

\ifpapersize\AtBeginDvi{\special{papersize=\the\paperheight,\the\paperwidth}}\fi


%$B3F<o!)%Q%i%a!<%?(B
\baselineskip0mm
\topskip0mm
\lineskiplimit0mm
\lineskip0mm

%adjustbaseline$B$r:FDj5A!%(BM$BCf?4$G$O$J$/!$(Ba$BCf?4$X!%(B
\def\adjustbaseline{%
    \setbox\adjust@box\hbox{\char\euc"A1A1}%
    \cht\ht\adjust@box
    \cdp\dp\adjust@box
    \cwd\wd\adjust@box
    \cvs\normalbaselineskip
    \chs\cwd
    \cHT\cht \advance\cHT\cdp
  \iftdir
    \setbox\adjust@box\hbox{\tbaselineshift\z@ a}%
    \adjust@dimen\ht\adjust@box
    \advance\adjust@dimen\dp\adjust@box
    \advance\adjust@dimen-\cHT
    \divide\adjust@dimen\tw@
    \advance\adjust@dimen\cdp
    \advance\adjust@dimen-\dp\adjust@box
    \tbaselineshift\adjust@dimen
  \fi}
 

\DeclareSymbolFont{mincho}{JY1}{mc}{m}{n}
\DeclareSymbolFontAlphabet{\mathmc}{mincho}
\SetSymbolFont{mincho}{bold}{JY1}{gt}{m}{n}
\DeclareMathAlphabet{\mathgt}{JY1}{gt}{m}{n}
\reDeclareMathAlphabet{\mathrm}{\@mathrm}{\@mathmc}
\reDeclareMathAlphabet{\mathbf}{\@mathbf}{\@mathgt}

\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}


%$B$a$s$I$&$J$N$G!%(B
\sloppy
\clubpenalty4000
\@clubpenalty\clubpenalty
\widowpenalty4000%
\sfcode`\.\@m

%$B=D=q$-(B
\tate
\adjustbaseline

%$BGXI=;f%3%^%s%I(B
%#1 : $B%?%$%H%k(B
%#2 : $BCx<TL>(B
\newbox\@title@box
\def\$BGXI=;f(B#1#2{%
\ifnum\@size=6
	\setbox0=\hbox{\hskip\parindent #1\qquad #2\kern\parindent}%
	\ifdim\wd0>\paperwidth
		\setbox0=\hbox{\hskip\parindent\small#1\qquad #2\kern\parindent}%
		\ifdim\wd0>\paperwidth
			\setbox\@title@box=\hbox to \paperwidth{\hskip\parindent\tiny #1\hfill #2\kern\parindent}%
		\else
			\setbox\@title@box=\hbox to \paperwidth{\hskip\parindent\small #1\hfill #2\kern\parindent}%
		\fi
	\else
		\setbox\@title@box=\hbox to \paperwidth{\hskip\parindent #1\hfill #2\kern\parindent}%
	\fi
\fi
\ifnum\@size=12
	\setbox0=\hbox{\hskip\parindent\LARGE #1\qquad #2\kern\parindent}%
	\ifdim\wd0>\paperwidth
		\setbox0=\hbox{\hskip\parindent\Large #1}%
		\ifdim\wd0>\paperwidth
			\setbox0=\hbox{\hskip\parindent #1}%
		\fi
		\setbox\@title@box=\hbox{\box0\hfill\hbox{#2}\kern\parindent}%
	\else
		\setbox\@title@box=\hbox to\paperwidth{\hskip\parindent\LARGE #1\hfill #2\kern\parindent}%
	\fi
\fi
\dimen@=\paperheight
\advance\dimen@ by -\ht\@title@box
\advance\dimen@ by -\dp\@title@box
\divide\dimen@ by 2
\vbox{\vskip\dimen@\box\@title@box}%
\clearpage
}

\endinput

